package com.xxl.job.executor.handler.token;

import cn.com.ctop.common.module.service.IRefreshTokenService;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import com.xxl.job.core.log.XxlJobLogger;
import org.springframework.beans.factory.annotation.Autowired;

public class RefreshTokenJob {
    @Autowired
    private IRefreshTokenService refreshTokenService;

    /**
     * 刷新token
     *
     * @param param
     */
    @XxlJob("refreshToken")
    public ReturnT<String> execute(String param) {
        XxlJobLogger.log("token刷新任务开始");
        refreshTokenService.getRefresh();
        XxlJobLogger.log("token刷新任务结束");
        return ReturnT.SUCCESS;
    }
}
